<template>
  <v-col>
    <v-row class="ml-4">
      <span class="titulo">VETERINARIOS</span>
    </v-row>
    <v-btn
      v-if="$vuetify.breakpoint.smAndDown"
      class="flotante"
      fab
      color="accent"
      bottom
      right
      @click="abrirForm"
    >
      <v-icon class="fal fa-user-plus" dark />
    </v-btn>
    <lista-veterinarios @onEdit="editarForm" @onAbrir="abrirForm" />
    <v-dialog v-model="dialogVeterinarios" width="800" :fullscreen="$vuetify.breakpoint.smAndDown">
      <form-veterinarios v-if="dialogVeterinarios" :veterinario="veterinario" @onClose="closeDialog" />
    </v-dialog>
  </v-col>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator'
import FormVeterinarios from '~/components/veterinarios/formVeterinarios.vue'
import ListaVeterinarios from '~/components/veterinarios/listaVeterinarios.vue'
import { Veterinario } from '~/core/models/veterinario'
@Component({
  components: { ListaVeterinarios, FormVeterinarios },
  head: { title: 'Veterinarios' },
  middleware: 'auth'
})
export default class veterinarios extends Vue {
  dialogVeterinarios:boolean = false;

  veterinario:Veterinario = null;

  abrirForm () {
    this.dialogVeterinarios = true
  }

  editarForm (val) {
    this.veterinario = val
    this.dialogVeterinarios = true
  }

  closeDialog () {
    this.dialogVeterinarios = false
    this.veterinario = null
  }
}
</script>

<style lang="scss">

</style>
